/*
		QEAE.h for C and Rez (as a information for programmers)
			Type declarations of Apple events
				defined in QuoEdit version 0.31
				not defined in the Standard Suites
					February, 1998

		Copyright Lyomei Sakai 1996-1998 All rights reserved.
*/



/* suite code, event class */
#define kAEQuoEdit 'QEdt'
#define kAEMyMiscellaneous 'Misc'

/* event IDs */
#define kAEInsert 'insr'
#define kAEFind 'Find'
#define kAEReplace 'Rep '
#define kAEReplaceAll 'RepA'
#define kAEArrangeWindows 'ArWn'	// from 0.3
#define kAESpeak 'spk '
#define kAEDoKeyAction 'KeyA'		// from 0.31
#define kAETransliterate 'Trl '
#define kAEAliasOfCopy 'Copy'		// from 0.31

/* keywords, types */
#define typeYesOrNo 'YorN'	// obsolete in the dictionary from 0.31 (but QuoEdit will still understand kAEYes/kAENo internally)
#define keyAEFindDirection 'fDir'
#define typeAEFindDirection 'fDir'
#define keyAEExtendSelection 'ExS '		// from 0.2.6a
#define keyAESelectDest 'SDst'			// from 0.2.6a
#define keyAEStacking 'Stac'			// from 0.3
#define typeUpOrDown 'UpDn'					// from 0.31
#define keyAEIgnoreNoSelectionErr 'INSE'	// from 0.31
#define keyAETlTargetFormat 'TlTf'
#define typeTlTargetFormat 'TlTf'
#define keyAETlTargetModifier 'TlTM'
#define typeTlTargetModifier 'TlTM'
#define keyAETlSourceMask 'TlSM'
#define typeTlSourceMask 'TlSM'
#define keyAEKeyKind 'KKin'
#define typeKeyKind 'KKin'
#define keyAEModifierKeys 'ModK'
#define typeModifierKeys 'ModK'

/* classes */
#define cByte 'byt '
#define cDocumentProps 'dPrp'		// from 0.31 (just for reduction of 'aete' code)

/* properties */
#define pInverted 'pInv'
#define pMeshed 'pMsh'
#define pShowLocation 'pShL'
#define pShowCode 'pShC'
#define pShowReturns 'pShR'
#define pShowTabs 'pShT'
#define pBoldCaret 'pBCr'			// from 0.3
#define pLocInfoKind 'pLIK'			// from 0.3
#define pTurningWindow 'pTPt'		// from 0.3
#define pAutoIndent 'pAIn'
#define pRememberSelection 'pRSl'	// from 0.3
#define pStyledOutput 'pStO'		// from 0.31
#define pTSMAware 'pTSM'			// from 0.31
#define pCaretSpeed 'pCSp'			// from 0.2.7
#define pUndoLevels 'pUdL'			// from 0.31
#define pSearchString 'pSSt'
#define pReplaceString 'pRSt'
#define pCaseSensitive 'pCSv'
#define pEntireWord 'pEWd'
#define pSpeaking 'pSpn'
#define pPausing 'pPau'
#define pDialogBoxOpen 'pDBO'		// from 0.2.7
#define pFontID 'pfid'
#define pLeading 'plht'
#define pTabWidth 'pTbW'
#define pPosition 'ppos'
#define pBoundsSize 'pBSz'			// from 0.2.7
#define pPrintHeader 'pPrH'
#define pPrintFooter 'pPrF'
#define pPrintReturns 'pPrR'
#define pPrintTabs 'pPrT'
#define pSavePageSetup 'pSPS'		// from 0.3
#define pOffset 'ofse'
#define pCharacterCode 'pCCd'
#define pHowManyChars 'pHMC'
#define pHowManyLines 'pHML'		// from 0.3
#define pHowManyParas 'pHMP'
#define pHowManyWords 'pHMW'

/* enumerations */
#define kAEForward 'Fw  '
#define kAEBackward 'Bw  '
#define kAEUp 'Up  '				// from 0.31 as option of stacking parameter
#define kAEDown 'Down'				// from 0.31 as option of stacking parameter
#define kAELeftArrow 'LArK'			// from 0.31
#define kAERightArrow 'RArK'		// from 0.31
#define kAEDownArrow 'DArK'			// from 0.31
#define kAEUpArrow 'UArK'			// from 0.31
#define kAEBSKey 'BS K'				// from 0.31
#define kAEFwdDelKey 'FD K'			// from 0.31
#define kAETabKey 'TabK'			// from 0.31
#define kAEReturnKey 'CR K'			// from 0.31
#define kAEEnterKey 'EntK'			// from 0.31
#define kAEShiftKey 'ShfK'			// from 0.31
#define kAEOptionKey 'OptK'			// from 0.31
#define kAECommandKey 'CmdK'		// from 0.31
#define kAEControlKey 'CtrK'		// from 0.31
#define kAERoman 'Rm  '
#define kAENative 'Natv'
#define kAERoman1 'Rm1 '
#define kAERoman2 'Rm2 '
#define kAEKatakana1 'KK1 '
#define kAEKatakana 'KK2 '
#define kAEHiragana 'HG2 '
#define kAEHangul 'Hg2 '
#define kAEJamo 'Jm2 '
#define kAEBopomofo 'Bp2 '
#define kAEUppercase 'uppc'		// somehow only kAELowercase could be found in the standard

/*
 Event class of select event is kAEMiscStandards. <- Winter 1992 Apple Event Registry Errata
 I tried to include uppercases in constants defined in QuoEdit (QEdit) 0.2.5 and later versions.
*/
